package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: UserQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:29
 */
@Data
public class Nft012UserQueryRespDto implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;
    
    private static final Nft012UserQueryRespDto obj = new Nft012UserQueryRespDto();
    public static Nft012UserQueryRespDto getNew() {
        try {
            return (Nft012UserQueryRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft012UserQueryRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
